classification
Title: using windows doc incorrectly states version support
Type: Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Numerlor, ZackerySpytz, docs@python, miss-islington, steve.dower
Priority: normal Keywords: patch

Created on 2020-12-01 12:33 by Numerlor, last changed 2020-12-03 17:47 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23603 merged ZackerySpytz, 2020-12-01 20:11
PR 23631 merged miss-islington, 2020-12-03 17:22
Messages (3)
msg382246 - (view) Author: Numerlor (Numerlor) * Date: 2020-12-01 12:33
In this paragraph, the using windows doc page dynamically adjusts the version to the one that's being looked at by the user, however the statement is no longer true for python 3.9 and above as support for vista/7 was dropped

> As specified in PEP 11, a Python release only supports a Windows 
  platform while Microsoft considers the platform under extended 
  support. This means that Python |version| supports Windows Vista 
  and newer. If you require Windows XP support then please install 
  Python 3.4.
msg382431 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-12-03 17:22
New changeset db68544122f5a0c7b80f69c0e643049efa6699c6 by Zackery Spytz in branch 'master':
bpo-42523: Fix supported versions in "Using Python on Windows" (GH-23603)
https://github.com/python/cpython/commit/db68544122f5a0c7b80f69c0e643049efa6699c6
msg382432 - (view) Author: miss-islington (miss-islington) Date: 2020-12-03 17:47
New changeset 3689c25a1010c2acdb05f1b1b0229f4766b4440a by Miss Islington (bot) in branch '3.9':
bpo-42523: Fix supported versions in "Using Python on Windows" (GH-23603)
https://github.com/python/cpython/commit/3689c25a1010c2acdb05f1b1b0229f4766b4440a
History
Date User Action Args
2020-12-03 17:47:10miss-islingtonsetmessages: + msg382432
2020-12-03 17:43:04steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-12-03 17:22:30miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22500
2020-12-03 17:22:30steve.dowersetmessages: + msg382431
2020-12-02 03:00:53ned.deilysetnosy: + steve.dower
2020-12-01 20:11:49ZackerySpytzsetkeywords: + patch
nosy: + ZackerySpytz

pull_requests: + pull_request22472
stage: patch review
2020-12-01 12:33:56Numerlorcreate